SystemOrganization addCategory: #TPDBZ!
SystemOrganization addCategory: #'TPDBZ-Tests'!

TestCase subclass: #AliadosTest
	instanceVariableNames: 'freezer cell krillin goku vegeta yamcha bulma milk videl maestroRoshi tenShinHan'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ-Tests'!

!AliadosTest commentStamp: '<historical>' prior: 0!
A GuerreroTest is a test class for testing the behavior of Guerrero!

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 01:11'!
setUp
goku:= Saiyajin newConpoderesAprendidos: (Bag new) nivelDePelea: 110000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
goku tipo: (TipoBueno new).
vegeta:= Saiyajin newConpoderesAprendidos: (Bag new) nivelDePelea: 90000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
vegeta tipo: (TipoMalo new).
freezer:= Monstruo newConpoderesAprendidos: (Bag new) nivelDePelea: 100000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
cell:= Monstruo newConpoderesAprendidos: (Bag new) nivelDePelea: 100000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
krillin:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 20000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
yamcha:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 20 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0. 
bulma:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 2 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
milk:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 2 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0. 
videl:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 14000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0.
maestroRoshi:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 14000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0. 
tenShinHan:= Terricola newConpoderesAprendidos: (Bag new) nivelDePelea: 14000 cantidadDeEnergia:  1000 puntosDeVida: 50000  aliados: (Bag new) traje:  (Traje new) esferas: (Bag new) semillasDelHermitanio: 0. ! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 01:07'!
testAlianzaInfalibleMonstruo

self assert: ({ krillin.videl.goku.vegeta.cell.milk.bulma. yamcha.maestroRoshi.tenShinHan} inject: true into: [ :acum :unPersonaje | (freezer aceptaA: unPersonaje) & acum ]).! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 01:13'!
testAlianzaSaijyajinConDebil

self assert: (goku aceptaA: cell)! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 01:13'!
testAlianzaSaijyajinConFuertes

cell aliarseCon: freezer.

self deny: (goku aceptaA: cell)! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 01:14'!
testAlianzaTerricolaCon5BuenosDebiles

krillin aliarseCon: yamcha.
krillin aliarseCon: videl.
krillin aliarseCon: bulma.
krillin aliarseCon: maestroRoshi.


self assert: (krillin puedeAliarseCon: milk ).! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 01:01'!
testAlianzaTerricolaCon6BuenosDebiles

krillin aliarseCon: yamcha.
krillin aliarseCon: videl.
krillin aliarseCon: bulma.
krillin aliarseCon: maestroRoshi.
krillin aliarseCon: tenShinHan.

self deny: (krillin puedeAliarseCon: milk ).! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 23:52'!
testAlianzaTerricolaConBuenoFuerte

self assert: (krillin puedeAliarseCon: goku)
! !

!AliadosTest methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 23:31'!
testAlianzaTerricolaConMalo

self deny: (krillin puedeAliarseCon: freezer).! !

Object subclass: #Guerrero
	instanceVariableNames: 'poderesAprendidos nivelDePelea cantidadDeEnergia puntosDeVida aliados traje esferas semillasDelHermitanio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!Guerrero class methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 23:12'!
newCon! !

!Guerrero class methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 23:17'!
newConpoderesAprendidos:unosPoderes nivelDePelea: unNivel cantidadDeEnergia: unosJoules puntosDeVida: unosPuntos aliados: unosAliados traje:unTraje esferas: unasEsferas semillasDelHermitanio: unasSemillas
|unGuerrero|

unGuerrero:= self new.

unGuerrero poderesAprendidos: unosPoderes.
unGuerrero nivelDePelea:unNivel.
unGuerrero cantidadDeEnergia: unosJoules.
unGuerrero puntosDeVida: unosPuntos.
unGuerrero aliados: unosAliados.
unGuerrero traje: unTraje.
unGuerrero esferas: unasEsferas .
unGuerrero semillasDelHermitanio: unasSemillas.

^unGuerrero! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:53'!
AliadosMuertos 
^self aliados select:[ :unAliado | unAliado estaMuerto]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 23:39'!
PuntosQueNoAguanta: unosPuntosDeAtaque 
^ unosPuntosDeAtaque- (self AguantePropioPara: unosPuntosDeAtaque) 
! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 22:35'!
aceptaA: unGuerrero 
^(self aceptariaA: unGuerrero) & (self~=unGuerrero)& ((self aliados includes: unGuerrero) not)! !

!Guerrero methodsFor: 'alianzas' stamp: 'RodolfoCaputo 10/14/2013 01:23'!
agregarAliado: unGuerrero
self aliados add: unGuerrero! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:55'!
aliados
	^ aliados! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:55'!
aliados: anObject
	aliados := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:50'!
aliadosVivos
^self aliados select:[:unAliado | unAliado estaVivo]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:29'!
aliadosVivosCon: unaCantidadDeEnergia
^(self aliadosVivos select: [ :unAliadoVivo | unAliadoVivo tieneAlMenos: unaCantidadDeEnergia ] ) ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/14/2013 17:54'!
aliarseCon: unGuerrero
(self puedeAliarseCon: unGuerrero) ifTrue:[ self concretarAlianzaCon: unGuerrero ] ifFalse: [ self error: 'Imposible realizar la alianza pedida' ].! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'LoguancioMartin 10/21/2013 20:11'!
aprende: unPoder 
^(self poderesAprendidos) add: unPoder. ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:55'!
cantidadAliadosVivos
^ self aliadosVivos size! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:54'!
cantidadDeEnergia
	^ cantidadDeEnergia! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:54'!
cantidadDeEnergia: anObject
	cantidadDeEnergia := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/23/2013 22:27'!
conAliados
^(self aliados),({self} asBag)! !

!Guerrero methodsFor: 'alianzas' stamp: 'RodolfoCaputo 10/14/2013 01:36'!
concretarAlianzaCon: unGuerrero 
self agregarAliado: unGuerrero.
unGuerrero agregarAliado: self.! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 00:40'!
esBueno
^(self tipo esBueno).! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 22:00'!
esDebil 
^(nivelDePelea<15000)! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 21:49'!
esMalo
^(self esBueno) not! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 23:40'!
esMasGrosoQue: unGuerrero
^( (self nivelesDePeleaConAliados)> (unGuerrero nivelDePelea)).! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:57'!
esferas
	^ esferas! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:57'!
esferas: anObject
	esferas := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:54'!
estaMuerto 
^(self estaVivo) not ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:51'!
estaVivo
^self puntosDeVida > 0! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:54'!
nivelDePelea
	^ nivelDePelea! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:54'!
nivelDePelea: anObject
	nivelDePelea := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 23:41'!
nivelesDePeleaConAliados
^(self conAliados collect:[ :unAliado | unAliado nivelDePelea]) sum.! !

!Guerrero methodsFor: 'accessing' stamp: 'LoguancioMartin 10/21/2013 20:17'!
perderEnergia: unaCantidad 
	self cantidadDeEnergia: (self cantidadDeEnergia - unaCantidad ).! !

!Guerrero methodsFor: 'accessing' stamp: 'ricadocascallares 10/17/2013 20:58'!
poderesAprendidos
	^ poderesAprendidos! !

!Guerrero methodsFor: 'accessing' stamp: 'ricadocascallares 10/17/2013 20:58'!
poderesAprendidos: anObject
	poderesAprendidos := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/14/2013 16:58'!
puedeAliarseCon: unGuerrero 
^(unGuerrero aceptaA: self) & (self aceptaA: unGuerrero)! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/14/2013 23:10'!
puedeHacer: unPoder 
^ unPoder puedeHacersePor: self! !

!Guerrero methodsFor: 'accessing' stamp: 'RodolfoCaputo 10/14/2013 01:09'!
puntosDeVida
	^ puntosDeVida! !

!Guerrero methodsFor: 'accessing' stamp: 'RodolfoCaputo 10/14/2013 01:10'!
puntosDeVida: anObject
	puntosDeVida := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 23:35'!
puntosDeVidaPerdidosPor: unosPuntosDeAtaque
^(self resistirPorTraje: unosPuntosDeAtaque)  + (self  PuntosQueNoAguanta: (self puntosDeAtaqieQuePasanElTraje: unosPuntosDeAtaque ))
! !

!Guerrero methodsFor: 'accessing' stamp: 'LoguancioMartin 10/21/2013 20:51'!
resistirPorTraje: unAtaque 
	^ ((self traje ) isNil) ifFalse:  [ (self traje) portador: self recibe: unAtaque. ] ifTrue:  [ unAtaque ].! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:57'!
semillasDelHermitanio
	^ semillasDelHermitanio! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:57'!
semillasDelHermitanio: anObject
	semillasDelHermitanio := anObject! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:34'!
tiene: unaCantidad aliadosVivosCon: unaCantidadDeEnergia
^(self aliadosVivoscon: unaCantidadDeEnergia) size >= unaCantidad ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:30'!
tieneAlMenos: unaCantidadEnergia 
^self cantidadDeEnergia > unaCantidadEnergia ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:52'!
tieneAliadosMuertos: unaCantidad 
^self aliadosMuertos size >= unaCantidad ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 21:06'!
tieneAprendido: unPoder 
^ (self poderesAprendidos)  includes: unPoder ! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:54'!
traje
	^ traje! !

!Guerrero methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 00:54'!
traje: anObject
	traje := anObject! !

Guerrero subclass: #Monstruo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!Monstruo methodsFor: 'alianzas' stamp: 'RodolfoCaputo 10/17/2013 22:30'!
aceptariaA: unGuerrero 
^true.! !

!Monstruo methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 23:42'!
aguantePropioPara: unosPuntosDeAtaque
^20! !

!Monstruo methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 00:37'!
tipo 
^TipoMalo new! !

Guerrero subclass: #Saiyajin
	instanceVariableNames: 'tipo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!Saiyajin methodsFor: 'alianzas' stamp: 'RodolfoCaputo 10/17/2013 23:38'!
aceptariaA: unGuerrero 
^((unGuerrero esMasGrosoQue: self) not)! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 23:45'!
aguantePropioPara:unosPuntosDeAtaque
^(unosPuntosDeAtaque  * 0,1) + (self cantidadDeEnergia * 0,02)! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 00:38'!
tipo 
^tipo.! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 00:39'!
tipo: anObject
	tipo := anObject! !

Guerrero subclass: #Terricola
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!Terricola methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/17/2013 22:31'!
aceptariaA: unGuerrero 
^(unGuerrero esBueno & (self meEntra: unGuerrero))! !

!Terricola methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/14/2013 18:09'!
aliadosDebiles
^self aliados select: [ :unAliado | unAliado esDebil] ! !

!Terricola methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/14/2013 17:30'!
cantAliadosDebiles
^self aliadosDebiles size! !

!Terricola methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 00:59'!
meEntra: unGuerrero
^(unGuerrero esDebil & (self cantAliadosDebiles >=5)) not! !

!Terricola methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/14/2013 23:16'!
puedeHacer: unPoder
^super puedeHacer: unPoder &  (unPoder energiaConsumida: self) <500 ! !

!Terricola methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/24/2013 00:38'!
tipo 
^TipoBueno new! !

Object subclass: #Poderes
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

Poderes subclass: #PoderColectivo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!PoderColectivo methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:27'!
condicionesPara: unGuerrero
^ (unGuerrero energiaSuficiente: 200) &  (unGuerrero tiene:  5 aliadosVivosCon: (self energiaAlidos))! !

!PoderColectivo methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:04'!
energiaConsumida: unGuerrero
^200! !

Poderes subclass: #PoderLiviano
	instanceVariableNames: 'puntosDeAtaque'
	classVariableNames: 'energiaQueConsume'
	poolDictionaries: ''
	category: 'TPDBZ'!

!PoderLiviano methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:25'!
condicionesPara: unGuerrero
^ (unGuerrero tieneAlMenos: 50).! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 20:03'!
energiaConsumida: unGuerrero
^0! !

!PoderLiviano methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 01:37'!
puntosDeAtaque
	^ puntosDeAtaque! !

!PoderLiviano methodsFor: 'accessing' stamp: 'ricardocascallares 10/14/2013 01:37'!
puntosDeAtaque: anObject
	puntosDeAtaque := anObject! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 19:36'!
puntosDeAtaquePara: unGuerrero 
^ self puntosDeAtaque ! !

Poderes subclass: #PoderPotente
	instanceVariableNames: 'potencia'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!PoderPotente methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:26'!
condicionesPara: unGuerrero
^ true! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/14/2013 23:34'!
energiaConsumida: unGuerrero 
^ unGuerrero cantidadDeEnergia * 0.25! !

!PoderPotente methodsFor: 'accessing' stamp: 'ricadocascallares 10/17/2013 19:39'!
potencia
	^ potencia! !

!PoderPotente methodsFor: 'accessing' stamp: 'ricadocascallares 10/17/2013 19:39'!
potencia: anObject
	potencia := anObject! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 19:38'!
puntosDeAtaquePara: unGuerrero
^ (unGuerrero nivelDePelea )/ 500 * (self potencia)! !

Poderes subclass: #PoderVengativo
	instanceVariableNames: ''
	classVariableNames: 'energiaQueConsume'
	poolDictionaries: ''
	category: 'TPDBZ'!

!PoderVengativo class methodsFor: 'accessing' stamp: 'ricadocascallares 10/17/2013 21:27'!
energiaQueConsume
	^ energiaQueConsume! !

!PoderVengativo class methodsFor: 'accessing' stamp: 'ricadocascallares 10/17/2013 21:27'!
energiaQueConsume: anObject
	energiaQueConsume := anObject! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:28'!
condicionesPara: unGuerrero
^ (unGuerrero tieneAlMenos: ((self class) energiaQueConsume) )& (unGuerrero tieneAliadosMuertos: (self aliadosMuertosNecesarios)) & (unGuerrero cantidadAliadosVivos >= 1)! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: 'ricadocascallares 10/17/2013 21:30'!
energiaConsumida: unGuerrero
^ (self class) energiaQueConsume! !

!Poderes methodsFor: 'as yet unclassified' stamp: 'ricardoCascallares 10/24/2013 22:36'!
puedeHacersePor: unGuerrero
^(unGuerrero tieneAprendido: self) & self condicionesPara: unGuerrero
! !

Object subclass: #TipoBueno
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!TipoBueno methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/14/2013 17:39'!
esBueno
^true! !

Object subclass: #TipoMalo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!TipoMalo methodsFor: 'as yet unclassified' stamp: 'RodolfoCaputo 10/14/2013 17:39'!
esBueno
^false! !

Object subclass: #Traje
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!Traje methodsFor: 'as yet unclassified' stamp: 'LoguancioMartin 10/21/2013 20:23'!
portador: unGuerrero recibe: unAtaque
	^(unAtaque * 0,90).! !

Traje subclass: #TrajeEntrenamiento
	instanceVariableNames: 'ataquesRecibidos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!TrajeEntrenamiento methodsFor: 'accessing' stamp: 'LoguancioMartin 10/14/2013 22:46'!
ataquesRecibidos
	^ ataquesRecibidos! !

!TrajeEntrenamiento methodsFor: 'accessing' stamp: 'LoguancioMartin 10/14/2013 22:46'!
ataquesRecibidos: anObject
	ataquesRecibidos := anObject! !

!TrajeEntrenamiento methodsFor: 'accessing' stamp: 'LoguancioMartin 10/21/2013 20:25'!
portador: unGuerrero recibe: unAtaque
	ataquesRecibidos := ataquesRecibidos +1.
	unGuerrero perderEnergia: 20.
	(ataquesRecibidos =3) ifTrue: [ self ataquesRecibidos: 0.
									unGuerrero incrementarNivel: 100. ].
	super self portador: unGuerrero recibe: unAtaque. ! !

Traje subclass: #TrajeEspecial
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPDBZ'!

!TrajeEspecial methodsFor: 'as yet unclassified' stamp: 'LoguancioMartin 10/21/2013 20:24'!
portador: unGuerrero recibe: unAtaque
	^(unAtaque * 0,90)-20.! !
